# ConfigurationVariantDetails

interface ConfigurationVariantDetails

The details object used to determine what to do with a configuration variant when publishing.

This type also contains Maven specific information used to map the variant to a Maven POM file.

#### Since

5.3

## Functions

getConfigurationVariant
Link copied to clipboard
abstract fun getConfigurationVariant(): ConfigurationVariant
The configuration variant
mapToMavenScope
Link copied to clipboard
abstract fun mapToMavenScope(scope: String)
Provides information about how to publish to a Maven POM file.
mapToOptional
Link copied to clipboard
abstract fun mapToOptional()
Provides information about the optional status of this added configuration variant.
skip
Link copied to clipboard
abstract fun skip()
Marks this configuration variant as being skipped when publishing.